## com.google.common.base
Class Defaults

    java.lang.Object
      com.google.common.base.Defaults

    public final class Defaults

extends Object

This class provides default values for all Java types, as defined by the JLS.

Since:
  1.0
Author:
  Ben Yu

Method Summary

`static

`<T> T`

`

`defaultValue(Class<T> type)`
Returns the default value of `type` as defined by JLS --- `0` for numbers, `false` for `boolean` and `'\0'` for `char`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### defaultValue

    public static <T> T defaultValue(Class<T> type)

  Returns the default value of `type` as defined by JLS --- `0` for numbers, `false` for `boolean` and `'\0'` for `char`. For non-primitive types and `void`, null is returned.

Copyright © 2010-2012. All Rights Reserved.